Package com.io7m.idstore.admin_client.internal

# Interface IdAClientProtocolHandlerType

All Superinterfaces:
  `IdAClientAdminsType`, `IdAClientAuditType`, `IdAClientUsersType`

All Known Implementing Classes:
  `IdAClientProtocolHandler1`, `IdAClientProtocolHandlerAbstract`, `IdAClientProtocolHandlerDisconnected`

public interface IdAClientProtocolHandlerType extends IdAClientUsersType, IdAClientAdminsType, IdAClientAuditType
A versioned protocol handler.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IdANewHandler`
  `login(String admin, String password, URI base)`
  Attempt to log in.

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientAdminsType

  `adminBanCreate, adminBanDelete, adminBanGet, adminCreate, adminDelete, adminEmailAdd, adminEmailRemove, adminGet, adminGetByEmail, adminPermissionGrant, adminPermissionRevoke, adminSearchBegin, adminSearchByEmailBegin, adminSearchByEmailNext, adminSearchByEmailPrevious, adminSearchNext, adminSearchPrevious, adminSelf, adminUpdate`

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientAuditType

  `auditSearchBegin, auditSearchNext, auditSearchPrevious`

  ### Methods inherited from interface com.io7m.idstore.admin_client.api.IdAClientUsersType

  `userBanCreate, userBanDelete, userBanGet, userCreate, userCreate, userDelete, userEmailAdd, userEmailRemove, userGet, userGetByEmail, userLoginHistory, userSearchBegin, userSearchByEmailBegin, userSearchByEmailNext, userSearchByEmailPrevious, userSearchNext, userSearchPrevious, userUpdate`

- ## Method Details

  - ### login

    IdANewHandler login(String admin, String password, URI base) throws IdAClientException, InterruptedException
    Attempt to log in.
    Parameters:
      `admin` - The admin
      `password` - The password
      `base` - The base URI
    Returns:
      A new protocol handler
    Throws:
      `IdAClientException` - On errors
      `InterruptedException` - On interruption